# $Revision: 1.20 $, $Date: 2002/04/18 16:48:57 $
Summary:	The Gnome disk catalog
Summary(pl):	Program do katalogowania pyt CD dla rodowiska GNOME
Name:		gtktalog
Version:	0.99.19
Release:	1
License:	GPL
Group:		Applications/Archiving
Source0:	http://freesoftware.fsf.org/download/gtktalog/gtktalog/sources/%{name}-%{version}.tar.bz2
Patch0:		%{name}-path.patch
URL:		http://www.freesoftware.fsf.org/gtktalog/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-libs-devel
BuildRequires:	libstdc++-devel
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
Requires:	eject
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
GTKtalog is a disk catalog, it means you can use it to create a really
small database with images of files and folders of your CD-rom. So you
can browse all your CD's very quickly, see contents of certain files
(tar.gz, rpm files ...). You can give to each folder and file a
category and a description. You can search for files in your database
with filename, category, description or file information parameter,
and find in which CD the file you are looking for is.

%description -l cs
GTKtalog je katalog disk, co znamen e jej mete pout k
vytvoen velmi mal databze s obrazem soubor a adres na vaem
CD-ROMu. Mete si pak snadno a rychle prohlet vae CD, vidt obsah
nkterch soubor (tar.gz, rpm balky, ...). Mete dt kadmu
adresi a souboru kategorii a popis. Mete v databzi hledat soubory
podle nzvu, kategorie, popisu i dalch informac o souboru a najt,
na kterm CD se hledan soubory nachz.

%description -l fr
GTKtalog est un catalogueur de disque. En d'autres termes, vous pouvez
l'utiliser pour crer une vraiment petite base de donnes avec les
images des fichiers et rpertoires de votre CD-rom. Vous pouvez ainsi
lire tous vos CD trs rapidement, voir le contenu de certains fichiers
(tar.gz, fichiers rpm...). Vous pouvez attribuer  chaque rpertoire
ou fichier une catgorie, une description ou des paramtres concernant
les informations du fichier. Et ainsi vous pouvez trouver dans quel CD
se trouve le fichier que vous cherchez.

%description -l nl
GTKtalog is een schijvencatalogeerder. Je kan er kleine databanken mee
maken, die informatie van vele CD-roms en diskettes bevatten. Dus kan
je heel snel al je CD's doorzoeken, de inhoud van sommige bestanden
bekijken (tar.gz, rpm bestanden ...). Je kan iedere map en ieder
bestand een categorie en beschrijving geven. Je kan bestanden zoeken
op naam, categorie, beschrijving of bestandsinformatie. Zo vind je
snel op welke CD het bestand dat je zoekt staat.

%description -l pl
GTKtalog jest katalogiem dyskw. Oznacza to, e moesz uywac go do
stworzenia maej bazy zawartoci swoich pyt cd. Dziku temu
odnalezienie pliku o znanej nazwie (lub czci nazwy) staje si
kwesti sekund a nie godzin. GTKtalog automatycznie rozpoznaje i
odpowiedni kataloguje pliki wielu rnych typw (tar, rpm, mp3, avi,
html, mpeg).

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
libtoolize --copy --force
gettextize --copy --force
aclocal -I macros
autoheader
automake --add-missing --copy
autoconf
%configure \
	--enable-pthreads \
	--enable-catalog2 \
	--enable-catalog3 \
	--enable-htmltitle \
	--enable-mp3info \
	--enable-modinfo \
	--enable-aviinfo \
	--enable-mpeginfo \
	--disable-eject
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_applnkdir}/Utilities

gzip -9nf AUTHORS ChangeLog Docs/README.{catalog3,data_representation} \
	NEWS README TODO

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz Docs/*.gz
%attr(755,root,root) %{_bindir}/gtktalog
%{_mandir}/man?/*
%dir %{_libdir}/gtktalog
%attr(755,root,root) %{_libdir}/gtktalog/*
%{_applnkdir}/Utilities/gtktalog.desktop
%{_datadir}/gtktalog
%{_pixmapsdir}/gtktalog.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gtktalog.spec,v $
Revision 1.20  2002/04/18 16:48:57  martii
- updated info about new hoepage
- new sources link
- upped to version 0.99.19
- added some BuildReq
- STB

Revision 1.19  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:13:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/12/22 12:34:38  kloczek
- updated to 0.99.16 (bug fix release; start prepare French user manual).

Revision 1.16  2001/11/19 10:33:08  kloczek
- updated to 0.99.15.

Revision 1.15  2001/11/06 09:26:30  kloczek
- updated to 0.99.14.

Revision 1.14  2001/11/05 21:55:55  kloczek
- updated to 0.99.13.

Revision 1.13  2001/10/03 22:32:57  kloczek
- updated to 0.99.12,
- new Source url.

Revision 1.12  2001/08/15 23:36:28  kloczek
- updated to 0.99.11.

Revision 1.11  2001/08/06 16:35:10  kloczek
- updated to 0.99.9.

Revision 1.10  2001/07/30 09:46:06  kloczek
- updated to 0.99.8.

Revision 1.9  2001/07/27 20:21:47  migo
'- added Summary(pl)'

Revision 1.8  2001/07/23 04:46:51  kloczek
- updated to 0.99.7.

Revision 1.7  2001/07/11 12:46:48  kloczek
- updated to 0.99.6.

Revision 1.6  2001/06/28 02:24:42  kloczek
- typo in %files.

Revision 1.5  2001/06/28 01:52:17  kloczek
- updated to 0.99.5.

Revision 1.4  2001/06/01 20:10:15  kloczek
- updated to 0.19.2,
- removed outdated DESTDIR patch.

Revision 1.3  2001/05/15 20:45:04  kloczek
- many changes for move spec file to form compliant wit PLD spec coding style.

Revision 1.2  2001/05/15 13:12:57  depesz
- working: thanx to dobrek.
- added some workaround about automake/conf

Revision 1.1  2001/05/15 10:42:26  depesz
- first version - based on spec by Yves Mettier <ymettier@libertysurf.fr>
- not ready to be built
